Subject: Re: [netconf] WG Last Call: draft-ietf-netmod-factory-default-05

From: Qin Wu <[email-masked]>
Date: Mon, 4 Nov 2019 14:17:12 +0000

-----邮件原件-----
发件人: Martin Bjorklund [mailto:[email-masked]] 
发送时间: 2019年11月4日 21:57
收件人: Qin Wu <[email-masked]>
抄送: [email-masked]; [email-masked]
主题: Re: [netconf] WG Last Call: draft-ietf-netmod-factory-default-05

Hi,

Trimming to open issues...

Qin Wu <[email-masked]> wrote:
> Thanks Martin, see reply inline below.
> 
> -----邮件原件-----
> 发件人: Martin Bjorklund [mailto:[email-masked]]

> o  Abstract and Introduction
> 
>   These both contain:
> 
>     The reset operation may be used e.g. during initial
>     zero-touch configuration
> 
>   and in the Introduction there's a reference to RFC 8572.
> 
>   But what does this actually mean?
> [Qin]: It means the key word zero-touch comes from RFC8572.

I get that part.  I was wondering about the meaning of the sentence.
How can "reset" be used "during initial zero-touch configuration"?

[Qin]: I think "reset" can be used at the beginning of session setup or in the middle of session when the existing configuration
Has fatal error.
Maybe change it into "before initial zero-touch configuration"?

> o  Section 4
> 
>   The YANG module contains the boilerplate text from RFC 8174, but the
>   module doesn't use 8174-language, so I suggest the boilerplate text
>   is removed.
> [Qin]: "MAY" key word is used in this draft, I am not sure to remove boilerplate text.

But MAY isn't used in the *YANG module*.  The boilerplate in section
1.1 should stay, but the boilerplate in the YANG module should be removed.

[Qin]: I see, will remove it from the module.

/martin

---

From: Martin Bjorklund <[email-masked]>
Date: Mon, 04 Nov 2019 15:56:16 +0100 (CET)

> Maybe change it into "before initial zero-touch configuration"?

I don't think this is correct; noone will invoke "factory-reset"
*before* the initial ztp -- rather, the factory default config will
contain config to enable ztp (see e.g. section A.1 in RFC 8572).
Perhaps simply remove this sentence?

Kent, do you have an opinion?

/martin

---

From: Kent Watsen <[email-masked]>
Date: Tue, 5 Nov 2019 02:45:40 +0000

Qin, Martin,

> Kent, do you have an opinion?

For devices supporting ZTP, as you say, no one will invoke "factory-reset" before the initial ZTP.   This RPC can only, at best, reenable ZTP as part of the reset operation.   This seems obvious to me (e.g., section A.1), but Joe felt that it would be helpful to call it out.  My only role in this was to craft the text that said it correctly.  As for if the sentence is better in or out, I hold no strong opinion, but perceive two WG members having opposite opinions.

Kent // contributor